Katello - Bug #37313

Change content source screen is still confusing coming from host edit

04/01/2024 02:16 PM - Jeremy Lenz

Status: Closed
Priority: Normal
Assignee: Jeremy Lenz
Category: Web Ul
Target version: Katello Next
Difficulty: Fixed in Releases: Katello 4.13.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/109
55
Description

On the host edit screen, we disabled changing the CV/LCE a while ago for existing hosts, and instead link to the "Change Content
Source" page. But when you just want to change cv/Ice and not content source, it's unclear what to do. (the answer is to click

"Update hosts manually” but then not do the manual step.)

If the selected content source would be unchanged, we shouldn't show "Run job invocation" or "Update hosts manually”; rather, there

should just be a single button that says "Save" or something.

Associated revisions

Revision 737a6f2e - 04/24/2024 09:45 PM - Jeremy Lenz
Fixes #37313 - Change Content Source form improvements (#10955)

History

#1 - 04/03/2024 05:45 PM - Samir Jha
- Target version set to Katello Next

- Triaged changed from No to Yes

#2 - 04/08/2024 09:35 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Jeremy Lenz

- Pull request https://github.com/Katello/katello/pull/10955 added

#3 - 04/24/2024 09:45 PM - The Foreman Bot
- Fixed in Releases Katello 4.13.0 added

#4 - 04/24/2024 10:00 PM - Jeremy Lenz
- Status changed from Ready For Testing to Closed

Applied in changeset katello|737a6f2e0c999e63312c6ed88cf75b1e9ffd6342.
